package com.example.AI.service;

import com.example.AI.modal.Vehicle;
import org.springframework.stereotype.Service;

@Service
public class VehicleService {
    public String identifyVehicle(Vehicle vehicle) {
        if (vehicle.getSize().equalsIgnoreCase("large") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("6") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("20+") &&
                vehicle.getType().equalsIgnoreCase("heavy-duty") &&
                vehicle.getShape().equalsIgnoreCase("rectangular") &&
                vehicle.getSpeed().equalsIgnoreCase("slow")) {
            return "Truck";
        }

        if (vehicle.getSize().equalsIgnoreCase("medium") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("4") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("4-5") &&
                vehicle.getType().equalsIgnoreCase("sedan") &&
                vehicle.getShape().equalsIgnoreCase("sedan") &&
                vehicle.getSpeed().equalsIgnoreCase("medium")) {
            return "Car";
        }

        if (vehicle.getSize().equalsIgnoreCase("small") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("2") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("2") &&
                vehicle.getType().equalsIgnoreCase("two-wheeler") &&
                vehicle.getShape().equalsIgnoreCase("compact") &&
                vehicle.getSpeed().equalsIgnoreCase("fast")) {
            return "Motorcycle";
        }

        if (vehicle.getSize().equalsIgnoreCase("large") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("8") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("50+") &&
                vehicle.getType().equalsIgnoreCase("public transport") &&
                vehicle.getShape().equalsIgnoreCase("rectangular") &&
                vehicle.getSpeed().equalsIgnoreCase("medium")) {
            return "Bus";
        }

        if (vehicle.getSize().equalsIgnoreCase("small") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("2") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("2") &&
                vehicle.getType().equalsIgnoreCase("pedal-powered") &&
                vehicle.getShape().equalsIgnoreCase("compact") &&
                vehicle.getSpeed().equalsIgnoreCase("slow")) {
            return "Bicycle";
        }

        if (vehicle.getSize().equalsIgnoreCase("small") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("2") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("2") &&
                vehicle.getType().equalsIgnoreCase("electric") &&
                vehicle.getShape().equalsIgnoreCase("compact") &&
                vehicle.getSpeed().equalsIgnoreCase("medium")) {
            return "Scooter";
        }

        if (vehicle.getSize().equalsIgnoreCase("large") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("4") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("5-7") &&
                vehicle.getType().equalsIgnoreCase("sport-utility") &&
                vehicle.getShape().equalsIgnoreCase("boxy") &&
                vehicle.getSpeed().equalsIgnoreCase("fast")) {
            return "SUV";
        }

        if (vehicle.getSize().equalsIgnoreCase("medium") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("4") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("6-8") &&
                vehicle.getType().equalsIgnoreCase("family") &&
                vehicle.getShape().equalsIgnoreCase("boxy") &&
                vehicle.getSpeed().equalsIgnoreCase("medium")) {
            return "Minivan";
        }

        if (vehicle.getSize().equalsIgnoreCase("small") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("4") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("2") &&
                vehicle.getType().equalsIgnoreCase("compact") &&
                vehicle.getShape().equalsIgnoreCase("compact") &&
                vehicle.getSpeed().equalsIgnoreCase("fast")) {
            return "Compact Car";
        }

        if (vehicle.getSize().equalsIgnoreCase("large") &&
                vehicle.getNoOfWheels().equalsIgnoreCase("4") &&
                vehicle.getPassangerCapacity().equalsIgnoreCase("varies") &&
                vehicle.getType().equalsIgnoreCase("multi-purpose") &&
                vehicle.getShape().equalsIgnoreCase("rectangular") &&
                vehicle.getSpeed().equalsIgnoreCase("medium")) {
            return "Van";
        }

        return "Unknown vehicle";
    }
}
