
package com.example.AI.service;
import com.example.AI.modal.Vegetable;
import org.springframework.stereotype.Service;

    @Service
    public class VegetableService {

        public String identifyVegetable(Vegetable vegetable) {
            if (vegetable.getSize().equalsIgnoreCase("large") &&
                    vegetable.getInsideColor().equalsIgnoreCase("orange") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("brown") &&
                    vegetable.getShape().equalsIgnoreCase("long") &&
                    vegetable.getTaste().equalsIgnoreCase("sweet")) {
                return "Carrot";
            }

            if (vegetable.getSize().equalsIgnoreCase("medium") &&
                    vegetable.getInsideColor().equalsIgnoreCase("green") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("green") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("bitter")) {
                return "Bitter Melon";
            }

            if (vegetable.getSize().equalsIgnoreCase("large") &&
                    vegetable.getInsideColor().equalsIgnoreCase("green") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("green") &&
                    vegetable.getShape().equalsIgnoreCase("leafy") &&
                    vegetable.getTaste().equalsIgnoreCase("bland")) {
                return "Lettuce";
            }

            if (vegetable.getSize().equalsIgnoreCase("small") &&
                    vegetable.getInsideColor().equalsIgnoreCase("green") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("green") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("bitter")) {
                return "Pea";
            }

            if (vegetable.getSize().equalsIgnoreCase("large") &&
                    vegetable.getInsideColor().equalsIgnoreCase("white") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("white") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("savory")) {
                return "Cauliflower";
            }

            if (vegetable.getSize().equalsIgnoreCase("medium") &&
                    vegetable.getInsideColor().equalsIgnoreCase("red") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("red") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("sweet")) {
                return "Tomato";
            }

            if (vegetable.getSize().equalsIgnoreCase("large") &&
                    vegetable.getInsideColor().equalsIgnoreCase("purple") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("purple") &&
                    vegetable.getShape().equalsIgnoreCase("oval") &&
                    vegetable.getTaste().equalsIgnoreCase("bland")) {
                return "Eggplant";
            }

            if (vegetable.getSize().equalsIgnoreCase("small") &&
                    vegetable.getInsideColor().equalsIgnoreCase("green") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("green") &&
                    vegetable.getShape().equalsIgnoreCase("long") &&
                    vegetable.getTaste().equalsIgnoreCase("bitter")) {
                return "Cucumber";
            }

            if (vegetable.getSize().equalsIgnoreCase("medium") &&
                    vegetable.getInsideColor().equalsIgnoreCase("white") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("brown") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("earthy")) {
                return "Potato";
            }

            if (vegetable.getSize().equalsIgnoreCase("medium") &&
                    vegetable.getInsideColor().equalsIgnoreCase("yellow") &&
                    vegetable.getOutsideColor().equalsIgnoreCase("yellow") &&
                    vegetable.getShape().equalsIgnoreCase("round") &&
                    vegetable.getTaste().equalsIgnoreCase("sweet")) {
                return "Pumpkin";
            }

            return "Unknown vegetable";
        }
    }

